.\"	$NetBSD: fmt.1,v 1.11 2008/08/26 12:12:58 lukem Exp $
.\"
.\" Copyright (c) 1980, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)fmt.1	8.1 (Berkeley) 6/6/93
.\"
.Dd May 29, 2007
.Dt FMT 1
.Os
.Sh NAME
.Nm fmt
.Nd simple text formatter
.Sh SYNOPSIS
.Nm
.Op Fl Cr
.Oo
.Ar goal
.Op Ar maximum
.Oc
.Op name ...
.Nm
.Op Fl Cr
.Op Fl g Ar goal
.Op Fl m Ar maximum
.Op name ...
.Sh DESCRIPTION
.Nm
is a simple text formatter which reads the concatenation of input
files (or standard input if none are given) and produces on standard
output a version of its input with lines as close to the
.Ar goal
length as possible without exceeding the
.Ar maximum .
The
.Ar goal
length defaults to 65 and the
.Ar maximum
to 75.
The spacing at the beginning of the input lines is preserved in
the output, as are blank lines and interword spacing.
In non raw mode, lines that look like mail headers or begin with
a period are not formatted.
.Pp
.Bl -tag -width ".Fl m Ar maximum"
.It Fl C
instructs
.Nm
to center the text.
.It Fl g Ar goal
New way to set the goal length.
.It Fl m Ar maximum
New way to set the maximum length.
.It Fl r
Raw mode; formats all lines and does not make exceptions for lines
that start with a period or look like mail headers.
.El
.Pp
.Nm
is meant to format mail messages prior to sending, but may also be useful
for other simple tasks.
For instance, within visual mode of the
.Xr ex 1
editor (e.g.,
.Xr vi 1 )
the command
.Pp
.Dl \&!}fmt
.Pp
will reformat a paragraph, evening the lines.
.Sh SEE ALSO
.Xr mail 1 ,
.Xr nroff 1
.Sh HISTORY
The
.Nm
command appeared in
.Bx 3 .
.\" .Sh AUTHORS
.\" Kurt Shoens
.\" .Pp
.\" Liz Allen (added goal length concept)
.Sh BUGS
The program was designed to be simple and fast \- for more complex
operations, the standard text processors are likely to be more
appropriate.
